Subject: Mushroom Research

From: [email-masked] (Myrna Watanabe)
Date: Wed, 9 Feb 94 10:30:00 -0500

I am writing an article for The Scientist on research on mushrooms. I
would like to interview anyone who is doing such research, anyone who
can give me a quick history of the field over the last decade, and
anyone involved with setting up myconet or this conference.

As my deadline is not for several weeks, information may be sent to me
by snail mail, or contact me via e-mail or FAX and I will call you.

Thank you very much.

Myrna E. Watanabe
M. E. Watanabe Consulting, Inc.
51 Landscape Ave.
Yonkers, NY 10705 USA
Tel.: 914-968-7021  FAX: 914-376-7487